Bug 240782 - Installing RHEL 3.8 floods serial console with text messages.
Installing RHEL 3.8 floods serial console with text messages.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.8
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Prarit Bhargava
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-21 12:46 EDT by Alexander Todorov
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-23 16:26:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the dmesg file from the machine (24.31 KB, application/octet-stream)
2007-05-21 13:54 EDT, Alexander Todorov
no flags Details
Upstream patch that fixes this issue (1.19 KB, patch)
2007-05-23 11:00 EDT, Prarit Bhargava
no flags Details | Diff
RHEL3 fix for this issue (1.27 KB, patch)
2007-05-23 14:06 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Alexander Todorov 2007-05-21 12:46:06 EDT
Description of problem:
When performing an upgrade from RHEL 3.8 to 3.9-re20070516.0 and observing the
result on serial console it is flooded with text messages of the type:

CPU 4: now < last_tick (now=0x27c6a5de28,last_tick=0x2f35c57f80)!
CPU 10: now < last_tick (now=0x27c8f2668c,last_tick=0x2f35c57f80)!
CPU 4: now < last_tick (now=0x27c6df6260,last_tick=0x2f3612c626)!
CPU 1: now < last_tick (now=0x27c5da5794,last_tick=0x2f3612c626)!
CPU 4: now < last_tick (now=0x27c7188733,last_tick=0x2f365a1b0e)!
CPU 4: now < last_tick (now=0x27c7366a0b,last_tick=0x2f3683b740)!
CPU 7: now < last_tick (now=0x27c8a1e970,last_tick=0x2f36e2d320)!

How reproducible:
Perform an installation of RHEL 3.8 and upgrade to 3.9 using a directory as a
repository. Observer the process over serial console. I used cyclades interface
over ssh. When the upgrade is complete and the system is rebooted the text
messages start to appear rendering the console unusable.

Additional info:
At http://www.gelato.unsw.edu.au/archives/linux-ia64/att-7065/time.c.diff
I found a patch that fixes probably a similar issue. I don't know if it is
related but the kernel error message is the same.
Comment 1 Alexander Todorov 2007-05-21 13:53:03 EDT
After retesting I got:
installing rhel3.8:AS everything with kernel-2.4.21-47.EL, reboot.
The error messages start to appear over the serial console and dmesg as well.
I am able to login using ssh into the system.
Comment 2 Alexander Todorov 2007-05-21 13:54:14 EDT
Created attachment 155120 [details]
the dmesg file from the machine
Comment 3 Alexander Todorov 2007-05-22 12:00:45 EDT
After being logged on the machine via ssh for about 2/3 hours it stopped
responding. Opening vi or running ls started to take very long.
At the end I was not able to ping it.
Comment 9 Prarit Bhargava 2007-05-23 11:00:50 EDT
Created attachment 155255 [details]
Upstream patch that fixes this issue

This patch resolves this issue by noting that the check in
gettimeoffset/itc_get_offset is bogus.	The "real" check to ensure that time
does not go backwards should be synchronized in the caller to this function as
is done in the case of do_gettimeofday.
Comment 10 Prarit Bhargava 2007-05-23 11:42:12 EDT
Upstream here in 2.5.

http://marc.info/?l=git-commits-head&m=106634571604608&w=2
Comment 12 Prarit Bhargava 2007-05-23 14:06:44 EDT
Created attachment 155283 [details]
RHEL3 fix for this issue

Backport to RHEL3.

Note You need to log in before you can comment on or make changes to this bug.